{
	Init[ (s)
	{
		SetPickupable(true);
		SetAutoPickup(true);
		SetUseText(230);

		SetWeaponClass(2);

		SetHasZoom(true);
		SetScoped(false);
		SetIsThrown(false);
		SetIsLaunched(false);
		SetAllowReload(true);
		SetIsAutomatic(false);
		SetCanBash(true);

		SetWielderMovement(384);
		//SetShootSound(6);
		//SetReloadFrames(11);
		SetReloadSpeed(400);
		SetClipSize(10);
		SetFireRate(100);
	} ]

}